package pathgame.gameplay.menu;

import pathgame.gameplay.Gamestates;
import pathgame.gameplay.PlayerAbilities;

public class CharacterMenu extends BaseMenu
{
    private final MenuOption[] options;

    public CharacterMenu(int id, int mainId)
    {
        super(id);

        options = new MenuOption[PlayerAbilities.ABILITIES.length + 1];

        for(int i = 0; i < options.length - 1; ++i)
        {
            options[i] = getAbilityOption(PlayerAbilities.ABILITIES[i]);
        }
        options[options.length - 1] = new MenuOption("Back", (gamestate) ->
        {
            setReturnId(mainId);
        });
    }

    private static MenuOption getAbilityOption(PlayerAbilities pa)
    {
        return new MenuOption(pa.getName(), (gamestate, level) ->
        {
            level.reset();
            level.getPlayer().setAbilities(pa);
            gamestate.setState(Gamestates.GAMEPLAY);
        });
    }

    @Override
    public MenuOption[] getOptions()
    {
        return options;
    }
}
